- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CBrush Class Reference

List of all members.

## Detailed Description

Used for filling areas.

Date:
  01/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CBrush.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CBrush.hpp.

## Public Member Functions

- CBrush ()
- const HBRUSH getBrush () const
- const HDC getBrushHdc () const
- const CAlphaColour & getColour () const
- CGContextRef getContextRef () const
- HDC getMutableBrushHdc ()
- void initialise (CGContextRef drawContext, const CAlphaColour &colour)
- void initialise (HDC hdc, const CAlphaColour &colour)
- void setColour (const CAlphaColour &colour)
- void setColourToNullBrush ()
- void uninitialise ()
- virtual ~CBrush ()

## Protected Member Functions

- void createBrush ()
- void deleteBrush ()

## Protected Attributes

- HBRUSH m_brush
- CAlphaColour m_colour
- CGContextRef m_drawContext
- HDC m_hdc
- HGDIOBJ m_hOld

## Constructor & Destructor Documentation

Exponent::GUI::Graphics::CBrush::CBrush | ( |  | ) |

Construction

virtual Exponent::GUI::Graphics::CBrush::~CBrush | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Graphics::CBrush::createBrush | ( |  | ) | `[protected]`

Create the brush

void Exponent::GUI::Graphics::CBrush::deleteBrush | ( |  | ) | `[protected]`

Delete the brush

const HBRUSH Exponent::GUI::Graphics::CBrush::getBrush | ( |  | ) | const`[inline]`

Get the brush itself

Return values:

  | const | HBRUSH The window brush

Definition at line 86 of file CBrush.hpp.

References m_brush.

const HDC Exponent::GUI::Graphics::CBrush::getBrushHdc | ( |  | ) | const`[inline]`

Get the associated dc

Return values:

  | const | HDC The brush context

Definition at line 74 of file CBrush.hpp.

References m_hdc.

const CAlphaColour& Exponent::GUI::Graphics::CBrush::getColour | ( |  | ) | const`[inline]`

Get hte colour

Return values:

  | const | CAlphaColour& The current colour

Definition at line 118 of file CBrush.hpp.

References m_colour.

CGContextRef Exponent::GUI::Graphics::CBrush::getContextRef | ( |  | ) | const`[inline]`

Get the draw context

Return values:

  | CGContextRef | The mac context

Definition at line 101 of file CBrush.hpp.

References m_drawContext.

HDC Exponent::GUI::Graphics::CBrush::getMutableBrushHdc | ( |  | ) | `[inline]`

Get a mutable reference to the hdc

Return values:

  | HDC | The brush hdc

Definition at line 80 of file CBrush.hpp.

References m_hdc.

void Exponent::GUI::Graphics::CBrush::initialise | ( | CGContextRef | drawContext,
|  | const CAlphaColour & | colour |
| ) |  |  |

Initialise

Parameters:

  | drawContext | The mac draw context
  | colour | The colour to use

void Exponent::GUI::Graphics::CBrush::initialise | ( | HDC | hdc,
|  | const CAlphaColour & | colour |
| ) |  |  |

Initialise

Parameters:

  | hdc | The windowss draw context
  | colour | The colour to use

void Exponent::GUI::Graphics::CBrush::setColour | ( | const CAlphaColour & | colour | ) |

Set the colour from an alpha colour

Parameters:

  | colour | The colour to use

void Exponent::GUI::Graphics::CBrush::setColourToNullBrush | ( |  | ) |

Set the colour to be transparent

void Exponent::GUI::Graphics::CBrush::uninitialise | ( |  | ) |

Deinitialise

## Member Data Documentation

HBRUSH Exponent::GUI::Graphics::CBrush::m_brush`[protected]`

Windows brush handle

Definition at line 143 of file CBrush.hpp.

Referenced by getBrush().

CAlphaColour Exponent::GUI::Graphics::CBrush::m_colour`[protected]`

Filling colour

Definition at line 152 of file CBrush.hpp.

Referenced by getColour().

CGContextRef Exponent::GUI::Graphics::CBrush::m_drawContext`[protected]`

Host drawing context

Definition at line 147 of file CBrush.hpp.

Referenced by getContextRef().

HDC Exponent::GUI::Graphics::CBrush::m_hdc`[protected]`

Host drawing context

Definition at line 141 of file CBrush.hpp.

Referenced by getBrushHdc(), and getMutableBrushHdc().

HGDIOBJ Exponent::GUI::Graphics::CBrush::m_hOld`[protected]`

Old windows brush object

Definition at line 142 of file CBrush.hpp.